﻿@model IEnumerable<Barter.Models.UserSkill>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.ApplicationUser.LName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Subrubric.Rubric.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Subrubric.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.ApplicationUser.LName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Subrubric.Rubric.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Subrubric.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
            @Html.ActionLink("MakeRequest", "Create", "Requests", new {UserSkillToId = item.Id}, null)
            @Html.ActionLink("Feedback", "Feedback", new { userSkillId = item.Id })
            @Html.ActionLink("View all feedbacks", "Index", "Feedbacks", new { userSkillId  = item.Id})
        </td>
    </tr>
}

</table>
